> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ada.cx/reference/webhooks/create-webhook/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ada.cx/_mcp/server. # Create a webhook POST https://example.ada.support/api/v2/webhooks/ Content-Type: application/json Create a new webhook subscription. If this is the first webhook for this AI Agent, the webhook infrastructure is automatically provisioned Reference: https://docs.ada.cx/reference/webhooks/create-webhook ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects an object. - `url` (string, required) — The URL that will receive webhook events - `description` (string, optional, default: ) — A description of the webhook - `event_filters` (list of string, optional) — Event types to subscribe to. An empty list subscribes to all events - `enabled` (boolean, optional, default: true) — Whether the webhook is enabled ## Response ### 201 Webhook created - `id` (string, optional) — The webhook ID - `url` (string, optional) — The URL that will receive webhook events - `description` (string, optional) — A description of the webhook - `event_filters` (list of string, optional) — Event types this webhook is subscribed to. If empty, the webhook receives all events - `enabled` (boolean, optional) — Whether the webhook is enabled - `created_at` (string, optional) — When the webhook was created - `updated_at` (string, optional) — When the webhook was last updated ## Errors ### 400 Bad Request Error Bad Request - `errors` (list of ErrorsErrorsItems, required) — A list of errors ### 401 Unauthorized Error Unauthorized - `errors` (list of ErrorsErrorsItems, required) — A list of errors ## Types ### ErrorsErrorsItems - `type` (string, required) — The error type - `message` (string, required) — The error message - `details` (string, optional, nullable) — Extra information about the error ## Examples **Request** ```json { "url": "https://example.com/webhooks" } ``` **Response** ```json { "id": "ep_2bxE8VNtkWEMpJrMJv74FlSQmqP", "url": "https://example.com/webhooks", "description": "My production webhook", "event_filters": [ "v1.conversation.created", "v1.conversation.ended" ], "enabled": true, "created_at": "2026-03-12T10:00:00+00:00", "updated_at": "2026-03-12T10:00:00+00:00" } ``` **SDK Code** ```python import requests url = "https://example.ada.support/api/v2/webhooks/" payload = { "url": "https://example.com/webhooks" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://example.ada.support/api/v2/webhooks/'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"url":"https://example.com/webhooks"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://example.ada.support/api/v2/webhooks/" payload := strings.NewReader("{\n \"url\": \"https://example.com/webhooks\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.ada.support/api/v2/webhooks/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"url\": \"https://example.com/webhooks\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://example.ada.support/api/v2/webhooks/") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"url\": \"https://example.com/webhooks\"\n}") .asString(); ``` ```php request('POST', 'https://example.ada.support/api/v2/webhooks/', [ 'body' => '{ "url": "https://example.com/webhooks" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.ada.support/api/v2/webhooks/"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"url\": \"https://example.com/webhooks\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["url": "https://example.com/webhooks"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/webhooks/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```